<?

    include("authentication.php");

	include("conexao_e_agenda.php");

	include("funcoes.php");

	$id_usuario = $_SESSION["id_usuario"];

    $nome_usuario = $_SESSION["nome_usuario"];



if (isset($_POST['codigo'])) {

$codigo=$_POST['codigo'];

} else {

$codigo="";

}

//----------------------

 	$sql_exc="select * from configuracao where usuario='$codigo'";

	$result_exc=mysqli_query($conexao,$sql_exc);

	$linha=mysqli_fetch_array($result_exc);

	$arquivo = $linha['caminho_foto'];

	if($linha['caminho_foto']!=""){

      if ($_SERVER["SERVER_ADDR"] == '127.0.0.1' ){

      unlink('fotos'."/".$arquivo);

      }else{

      unlink( '/home/msoftxc/public_html/adrianosoutoimoveis.com.br/adm/fotos/'.$arquivo);

      }		

	} else {

	echo "";

	}

//----------------------





$MAXUPLD=ini_get('upload_max_filesize');



$nome = removerCaracter($codigo."_".$_FILES['documento']['name']);

//-------------



$anexos_id_andamentos = $codigo;

//-------------

if ($_SERVER["SERVER_ADDR"] == '127.0.0.1' ){

$uploaddir = 'fotos/';

}else{

$uploaddir = '/home/msoftx/public_html/adrianosoutoimoveiscom.br/adm/fotos/';

}

//--------------------- 

    $foto = $_FILES['documento'];

   

   if(($foto['type'] == 'image/jpeg')||($foto['type'] == 'image/pjpeg')){

	   Redimensionar_jpeg($foto, $nome, 150, $uploaddir);

   }

   if($foto['type'] == 'image/gif'){

	   Redimensionar_gif($foto, $nome, 150, $uploaddir);

   }

   if($foto['type'] == 'image/png'){

	   Redimensionar_png($foto, $nome, 150, $uploaddir);

   }      

//---------------------

//----

//if (move_uploaded_file($_FILES['documento']['tmp_name'], $uploaddir . $nome)) {

//------inseri e faz update

	

	$sql ="update configuracao set caminho_foto='$nome' where usuario='$codigo'";

	$result = mysqli_query($conexao,$sql)

    or die ( mysqli_error($conexao));

	

 

 $alerta = "A foto foi inserida com Sucesso!";

?>

<head>

<meta http-equiv="Pragma" content="no-cache">

<meta http-equiv="Expires" content="-1">

<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<title>Área de inserção de imagens</title>

<meta name="Description" content="">

<meta name="Keywords" content="">

<meta name="Author" content="Marcos Antonio Pereira Lopes">

<script language="JavaScript">

<!--



function Redireciona(){     // Redireciona p/ o arquivo especificado 

  alert("<? echo $alerta ?>");

  open('cad_configuracao_alt.php', '_top');

}



// -->

</script>



</head>



<body onLoad="JavaScript:Redireciona()">





</body>

</html>

<? 

/*

} else {

print "<pre>";     

      print "<center><h><strong>Possível erro, verifique o tamanho do arquivo selecionado<strong></h></center>\n";

	  

	  print "<center><h><strong>Ele não deve ter mais de $MAXUPLD"."B ou seja 2.000 KB (Entendido...).<strong></h></center>\n";

    //print_r($_FILES);

	print "<a href='cad_configuracao_alt.php' target='_self'><center><img src='voltar.jpg' border=0></center></a>";

}

print "</pre>";

*/

?>